关于Android studio2.3.1 不能修改buildTools 版本

创建一个项目默认buildTools版本是25.0.0 ,现在需要更改成23.0.3 ,每次更改就报错:



Error:Execution failed for task ':app:processDebugResources'.
com.android.ide.common.process.ProcessException: Failed to execute aapt
请问是什么原因造成的?

依赖:

版本:
2017-05-05 16:43 添加评论 分享
已邀请:
1

SimplySu - 90 IT SimplySu

赞同来自: ask

从截图的信息来看,应该是AndroidMenifest.xml中的配置问题导致gradle预编译错误。

详情:
你的项目中的AndroidMenifest.xml是否配置了:android:roundIcon="@mipmap/ic_launcher_round"
查看并确认下相关的res-drawable资源下是否有指定的图片
另外:如果23.0.3不支持roundIcon配置属性的话,需要删除这个配置,然后clean后重试。
1

mengfei - android

赞同来自: ask

问题显示你的build文件里面出错,你直接把build文件全部删除掉,然后再rebuild一下,应该没问题了,

要回复问题请先登录注册

退出全屏模式 全屏模式 回复